% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/get_page_content.R
\name{get_page_content}
\alias{get_page_content}
\title{Retrieves the content body of a specified page.}
\usage{
get_page_content(canvas, course_id, page_id, return_as_plain_text = TRUE)
}
\arguments{
\item{canvas}{An object containing the Canvas API key and base URL, obtained through the \code{canvas_authenticate} function.}

\item{course_id}{The ID of the course to which the page belongs.}

\item{page_id}{The ID of the page for which to fetch the content body.}

\item{return_as_plain_text}{A logical value indicating whether to return the content as plain text (default is TRUE).}
}
\value{
The content body of the specified page, either as plain text or raw HTML.
}
\description{
This function retrieves the content body of a specified page within a course in the Canvas LMS API.
}
